Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing.gvt
Class TextSelectionManager

    java.lang.Object
      org.apache.batik.swing.gvt.TextSelectionManager

    public class TextSelectionManager

extends Object

This class represents an object which manage GVT text nodes selection.

Nested Class Summary
`protected class` | `TextSelectionManager.MouseListener` To implement a GraphicsNodeMouseListener.
`protected class` | `TextSelectionManager.SelectionOverlay` The selection overlay.
`protected class` | `TextSelectionManager.TextSelectionListener` To implements a selection listener.

Field Summary
`protected AbstractJGVTComponent` | `component` The associated JGVTComponent.
`protected TextSelectionManager.MouseListener` | `mouseListener` The mouse listener.
`protected Cursor` | `previousCursor` To store the previous cursor.
`protected Shape` | `selectionHighlight` The selection highlight.
`protected Overlay` | `selectionOverlay` The selection overlay.
`protected Color` | `selectionOverlayColor` The color of the selection overlay.
`protected Color` | `selectionOverlayStrokeColor` The color of the outline of the selection overlay.
`static Cursor` | `TEXT_CURSOR` The cursor indicating that a text selection operation is under way.
`protected SelectionListener` | `textSelectionListener` The text selection listener.
`protected ConcreteTextSelector` | `textSelector` The text selector.
`protected boolean` | `xorMode` A flag bit that indicates whether or not the selection overlay is painted in XOR mode.

Constructor Summary
`TextSelectionManager(AbstractJGVTComponent comp, EventDispatcher ed)` Creates a new TextSelectionManager.

Method Summary
`void` | `addSelectionListener(SelectionListener sl)` Add a selection listener to be notified when the text selection changes in the document.
`void` | `clearSelection()` Clears the selection.
`protected Rectangle` | `getHighlightBounds()` The highlight bounds.
`Object` | `getSelection()` Returns the current text selection or null if there is none.
`Overlay` | `getSelectionOverlay()` Returns the selection overlay.
`Color` | `getSelectionOverlayColor()` Returns the color of the selection overlay.
`Color` | `getSelectionOverlayStrokeColor()` Returns the color of the outline of the selection overlay.
`boolean` | `isSelectionOverlayXORMode()` Returns true if the selection overlay is painted in XOR mode, false otherwise.
`protected Rectangle` | `outset(Rectangle r, int amount)`
`void` | `removeSelectionListener(SelectionListener sl)` Remove a selection listener to be notified when the text selection changes in the document.
`void` | `setSelection(Mark start, Mark end)` Sets the selected text
`void` | `setSelectionOverlayColor(Color color)` Sets the color of the selection overlay to the specified color.
`void` | `setSelectionOverlayStrokeColor(Color color)` Sets the color of the outline of the selection overlay to the specified color.
`void` | `setSelectionOverlayXORMode(boolean state)` Sets whether or not the selection overlay will be painted in XOR mode, depending on the specified parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEXT_CURSOR

    public static final Cursor TEXT_CURSOR

  The cursor indicating that a text selection operation is under way.

### textSelector

    protected ConcreteTextSelector textSelector

  The text selector.

### component

    protected AbstractJGVTComponent component

  The associated JGVTComponent.

### selectionOverlay

    protected Overlay selectionOverlay

  The selection overlay.

### mouseListener

    protected TextSelectionManager.MouseListener mouseListener

  The mouse listener.

### previousCursor

    protected Cursor previousCursor

  To store the previous cursor.

### selectionHighlight

    protected Shape selectionHighlight

  The selection highlight.

### textSelectionListener

    protected SelectionListener textSelectionListener

  The text selection listener.

### selectionOverlayColor

    protected Color selectionOverlayColor

  The color of the selection overlay.

### selectionOverlayStrokeColor

    protected Color selectionOverlayStrokeColor

  The color of the outline of the selection overlay.

### xorMode

    protected boolean xorMode

  A flag bit that indicates whether or not the selection overlay is painted in XOR mode.

Constructor Detail

### TextSelectionManager

    public TextSelectionManager(AbstractJGVTComponent comp,
                                EventDispatcher ed)

  Creates a new TextSelectionManager.

Method Detail

### addSelectionListener

    public void addSelectionListener(SelectionListener sl)

  Add a selection listener to be notified when the text selection changes in the document.

### removeSelectionListener

    public void removeSelectionListener(SelectionListener sl)

  Remove a selection listener to be notified when the text selection changes in the document.

### setSelectionOverlayColor

    public void setSelectionOverlayColor(Color color)

  Sets the color of the selection overlay to the specified color.

  Parameters:
    `color` - the new color of the selection overlay

### getSelectionOverlayColor

    public Color getSelectionOverlayColor()

  Returns the color of the selection overlay.

### setSelectionOverlayStrokeColor

    public void setSelectionOverlayStrokeColor(Color color)

  Sets the color of the outline of the selection overlay to the specified color.

  Parameters:
    `color` - the new color of the outline of the selection overlay

### getSelectionOverlayStrokeColor

    public Color getSelectionOverlayStrokeColor()

  Returns the color of the outline of the selection overlay.

### setSelectionOverlayXORMode

    public void setSelectionOverlayXORMode(boolean state)

  Sets whether or not the selection overlay will be painted in XOR mode, depending on the specified parameter.

  Parameters:
    `state` - true implies the selection overlay will be in XOR mode

### isSelectionOverlayXORMode

    public boolean isSelectionOverlayXORMode()

  Returns true if the selection overlay is painted in XOR mode, false otherwise.

### getSelectionOverlay

    public Overlay getSelectionOverlay()

  Returns the selection overlay.

### getSelection

    public Object getSelection()

  Returns the current text selection or null if there is none.

### setSelection

    public void setSelection(Mark start,
                             Mark end)

  Sets the selected text

### clearSelection

    public void clearSelection()

  Clears the selection.

### outset

    protected Rectangle outset(Rectangle r,
                               int amount)

### getHighlightBounds

    protected Rectangle getHighlightBounds()

  The highlight bounds.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.